command line option to start playing if not playing
Status: Rejected Start date: November 03, 2018

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category: core Estimated time: 0.00 hour

Target version:    

Affects version: 3.9   

Description

I want to enqueue files from the file browser and start playing if the player is currently not playing. I use the --enqueue option. Next I

want to start playing if the player is not playing and keep playing if the player is already playing. Unfortunately, according to the man

page, the --play option restarts the currently playing song (same for Ctrl+Enter).

In my opinion the --play option should only ensure playing. Re-playing is a misleading result, maybe a suitable option should be

--replay (but then it is not clear if the song or the playlist is meant)

History

#1 - November 03, 2018 22:19 - Michael Schwendt

You could script your desired behaviour with the separate "audtool" program.

#2 - November 11, 2018 01:00 - John Lindgren

Yep, this is pretty simple with audtool:

if ! audtool playback-playing ; then audtool playback-play ; fi

 

I don't think we need a new command line option for this.

#3 - November 13, 2021 16:59 - John Lindgren

- Status changed from New to Rejected

Closing a few feature requests that have seen no activity in over 3 years.
